Name:           bup
Version:        0.33.6
Release:        1%{?dist}
Summary:        Very efficient backup system based on the git packfile format

License:        GPLv2
URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/archive/refs/tags/%{version}/%{name}-%{version}.tar.gz

# https://github.com/libfuse/python-fuse
BuildRequires: gcc, make, sed, git-core >= 1.5.6, pandoc, perl-Time-HiRes
BuildRequires: python3-devel, python3-libfuse, python3-pylibacl, python3-pyxattr, python3-tornado, python3-distlib
BuildRequires: libacl-devel, readline-devel
# For tests
BuildRequires: attr, acl, kmod, rsync, man-db, par2cmdline, python3-devel, python3-pytest, python3-pytest-xdist, pylint

Requires:      git-core >= 1.5.6, python3 >= 3.7, par2cmdline, python3-libfuse, python3-pylibacl, python3-pyxattr, python3-tornado

%description
Very efficient backup system based on the git packfile format,
providing fast incremental saves and global deduplication
(among and within files, including virtual machine images).


%prep
%autosetup -p1 -n %{name}-%{version}


%build
CPPFLAGS="%{optflags}" \
  CFLAGS="%{optflags}" \
 LDFLAGS="%{build_ldflags}" \
  ./configure --prefix=%{prefix}
%make_build

%install
%make_install PREFIX=%{_prefix}
sed -i 's|#!/bin/sh|#!/usr/bin/sh|' %{buildroot}%{_prefix}/lib/%{name}/cmd/%{name}-*


%check
# Removing `test-meta` - fails inside the chroot
rm -v test/ext/test-meta
# these tests show non-deterministic behavior. Assumming there is a data race involved and skipping them.
# rm -v test/int/test_git.py
# rm -v test/ext/test_get.py
make %{?_smp_mflags} long-check
# make %{?_smp_mflags} check


%files
%license LICENSE
%doc README.md
%doc note/*.md
%doc %{_datadir}/doc/%{name}/%{name}*.html
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{_mandir}/man1/%{name}*.1*
%{_mandir}/man5/%{name}*.5*


%changelog
* Tue Dec 17 2024 - 0.33.6
- version 0.33.6
* Wed Dec 11 2024 - 0.33.5
- version 0.33.5
* Mon Aug 26 2024 - 0.33.4
- version 0.33.4
* Sun Jun 09 2024 - 0.34-2
- version 0.34
* Sun Jun 09 2024 - 0.34-1
- version 0.34
